com.corticon.rulesemf.asg

## Interface AsgPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface AsgPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `AsgFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AsgPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AsgPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `EXPRESSION` The meta object id for the '`Expression`' class
    `static int` | `EXPRESSION__CELL_VALUE` The feature id for the 'Cell Value' attribute
    `static int` | `EXPRESSION__DATATYPE` The feature id for the 'Datatype' attribute
    `static int` | `EXPRESSION__ENUMERATION` The feature id for the 'Enumeration' attribute
    `static int` | `EXPRESSION__EXPRESSIONTYPE` The feature id for the 'Expressiontype' attribute
    `static int` | `EXPRESSION__MODIFIED_TERM_LIST` The feature id for the 'Modified Term List' containment reference
    `static int` | `EXPRESSION__REFERENCED_TERM_LIST` The feature id for the 'Referenced Term List' containment reference
    `static int` | `EXPRESSION__TEXT` The feature id for the 'Text' attribute
    `static int` | `EXPRESSION__TOKEN_LIST` The feature id for the 'Token List' containment reference list
    `static int` | `EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Expression' class
    `static int` | `EXPRESSION_LIST` The meta object id for the '`Expression List`' class
    `static int` | `EXPRESSION_LIST__EXPRESSION` The feature id for the 'Expression' containment reference list
    `static int` | `EXPRESSION_LIST_FEATURE_COUNT` The number of structural features of the 'Expression List' class
    `static int` | `PARSER_OUTPUT` The meta object id for the '`Parser Output`' class
    `static int` | `PARSER_OUTPUT_FEATURE_COUNT` The number of structural features of the 'Parser Output' class
    `static int` | `TERM` The meta object id for the '`Term`' class
    `static int` | `TERM__DATATYPE` The feature id for the 'Datatype' attribute
    `static int` | `TERM__FULLTEXT` The feature id for the 'Fulltext' attribute
    `static int` | `TERM__PARENT_TERM` The feature id for the 'Parent Term' containment reference
    `static int` | `TERM__TERMTYPE` The feature id for the 'Termtype' attribute
    `static int` | `TERM__TEXT` The feature id for the 'Text' attribute
    `static int` | `TERM__VARIABLE` The feature id for the 'Variable' reference
    `static int` | `TERM_FEATURE_COUNT` The number of structural features of the 'Term' class
    `static int` | `TERM_LIST` The meta object id for the '`Term List`' class
    `static int` | `TERM_LIST__TERMS` The feature id for the 'Terms' containment reference list
    `static int` | `TERM_LIST_FEATURE_COUNT` The number of structural features of the 'Term List' class
    `static int` | `TOKEN` The meta object id for the '`Token`' class
    `static int` | `TOKEN__TEXT` The feature id for the 'Text' attribute
    `static int` | `TOKEN__TOKENTYPE` The feature id for the 'Tokentype' attribute
    `static int` | `TOKEN_FEATURE_COUNT` The number of structural features of the 'Token' class
    `static int` | `VARIABLE` The meta object id for the '`Variable`' class
    `static int` | `VARIABLE_FEATURE_COUNT` The number of structural features of the 'Variable' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsgFactory` | `getAsgFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EAttribute` | `getExpression_CellValue()` Returns the meta object for the attribute '`Cell Value`'
    `org.eclipse.emf.ecore.EAttribute` | `getExpression_Datatype()` Returns the meta object for the attribute '`Datatype`'
    `org.eclipse.emf.ecore.EAttribute` | `getExpression_Enumeration()` Returns the meta object for the attribute '`Enumeration`'
    `org.eclipse.emf.ecore.EAttribute` | `getExpression_Expressiontype()` Returns the meta object for the attribute '`Expressiontype`'
    `org.eclipse.emf.ecore.EReference` | `getExpression_ModifiedTermList()` Returns the meta object for the containment reference '`Modified Term List`'
    `org.eclipse.emf.ecore.EReference` | `getExpression_ReferencedTermList()` Returns the meta object for the containment reference '`Referenced Term List`'
    `org.eclipse.emf.ecore.EAttribute` | `getExpression_Text()` Returns the meta object for the attribute '`Text`'
    `org.eclipse.emf.ecore.EReference` | `getExpression_TokenList()` Returns the meta object for the containment reference list '`Token List`'
    `org.eclipse.emf.ecore.EClass` | `getExpression()` Returns the meta object for class '`Expression`'
    `org.eclipse.emf.ecore.EReference` | `getExpressionList_Expression()` Returns the meta object for the containment reference list '`Expression`'
    `org.eclipse.emf.ecore.EClass` | `getExpressionList()` Returns the meta object for class '`Expression List`'
    `org.eclipse.emf.ecore.EClass` | `getParserOutput()` Returns the meta object for class '`Parser Output`'
    `org.eclipse.emf.ecore.EAttribute` | `getTerm_Datatype()` Returns the meta object for the attribute '`Datatype`'
    `org.eclipse.emf.ecore.EAttribute` | `getTerm_Fulltext()` Returns the meta object for the attribute '`Fulltext`'
    `org.eclipse.emf.ecore.EReference` | `getTerm_ParentTerm()` Returns the meta object for the containment reference '`Parent Term`'
    `org.eclipse.emf.ecore.EAttribute` | `getTerm_Termtype()` Returns the meta object for the attribute '`Termtype`'
    `org.eclipse.emf.ecore.EAttribute` | `getTerm_Text()` Returns the meta object for the attribute '`Text`'
    `org.eclipse.emf.ecore.EReference` | `getTerm_Variable()` Returns the meta object for the reference '`Variable`'
    `org.eclipse.emf.ecore.EClass` | `getTerm()` Returns the meta object for class '`Term`'
    `org.eclipse.emf.ecore.EReference` | `getTermList_Terms()` Returns the meta object for the containment reference list '`Terms`'
    `org.eclipse.emf.ecore.EClass` | `getTermList()` Returns the meta object for class '`Term List`'
    `org.eclipse.emf.ecore.EAttribute` | `getToken_Text()` Returns the meta object for the attribute '`Text`'
    `org.eclipse.emf.ecore.EAttribute` | `getToken_Tokentype()` Returns the meta object for the attribute '`Tokentype`'
    `org.eclipse.emf.ecore.EClass` | `getToken()` Returns the meta object for class '`Token`'
    `org.eclipse.emf.ecore.EClass` | `getVariable()` Returns the meta object for class '`Variable`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final AsgPackage eINSTANCE

      The singleton instance of the package.

    - #### PARSER_OUTPUT

          static final int PARSER_OUTPUT

      The meta object id for the '`Parser Output`' class.
      See Also:
        `ParserOutputImpl`, `AsgPackageImpl.getParserOutput()`, Constant Field Values

    - #### PARSER_OUTPUT_FEATURE_COUNT

          static final int PARSER_OUTPUT_FEATURE_COUNT

      The number of structural features of the 'Parser Output' class.
      See Also:
        Constant Field Values

    - #### EXPRESSION

          static final int EXPRESSION

      The meta object id for the '`Expression`' class.
      See Also:
        `ExpressionImpl`, `AsgPackageImpl.getExpression()`, Constant Field Values

    - #### EXPRESSION__TEXT

          static final int EXPRESSION__TEXT

      The feature id for the 'Text' attribute.
      See Also:
        Constant Field Values

    - #### EXPRESSION__DATATYPE

          static final int EXPRESSION__DATATYPE

      The feature id for the 'Datatype' attribute.
      See Also:
        Constant Field Values

    - #### EXPRESSION__EXPRESSIONTYPE

          static final int EXPRESSION__EXPRESSIONTYPE

      The feature id for the 'Expressiontype' attribute.
      See Also:
        Constant Field Values

    - #### EXPRESSION__ENUMERATION

          static final int EXPRESSION__ENUMERATION

      The feature id for the 'Enumeration' attribute.
      See Also:
        Constant Field Values

    - #### EXPRESSION__CELL_VALUE

          static final int EXPRESSION__CELL_VALUE

      The feature id for the 'Cell Value' attribute.
      See Also:
        Constant Field Values

    - #### EXPRESSION__MODIFIED_TERM_LIST

          static final int EXPRESSION__MODIFIED_TERM_LIST

      The feature id for the 'Modified Term List' containment reference.
      See Also:
        Constant Field Values

    - #### EXPRESSION__REFERENCED_TERM_LIST

          static final int EXPRESSION__REFERENCED_TERM_LIST

      The feature id for the 'Referenced Term List' containment reference.
      See Also:
        Constant Field Values

    - #### EXPRESSION__TOKEN_LIST

          static final int EXPRESSION__TOKEN_LIST

      The feature id for the 'Token List' containment reference list.
      See Also:
        Constant Field Values

    - #### EXPRESSION_FEATURE_COUNT

          static final int EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Expression' class.
      See Also:
        Constant Field Values

    - #### EXPRESSION_LIST

          static final int EXPRESSION_LIST

      The meta object id for the '`Expression List`' class.
      See Also:
        `ExpressionListImpl`, `AsgPackageImpl.getExpressionList()`, Constant Field Values

    - #### EXPRESSION_LIST__EXPRESSION

          static final int EXPRESSION_LIST__EXPRESSION

      The feature id for the 'Expression' containment reference list.
      See Also:
        Constant Field Values

    - #### EXPRESSION_LIST_FEATURE_COUNT

          static final int EXPRESSION_LIST_FEATURE_COUNT

      The number of structural features of the 'Expression List' class.
      See Also:
        Constant Field Values

    - #### TERM

          static final int TERM

      The meta object id for the '`Term`' class.
      See Also:
        `TermImpl`, `AsgPackageImpl.getTerm()`, Constant Field Values

    - #### TERM__TEXT

          static final int TERM__TEXT

      The feature id for the 'Text' attribute.
      See Also:
        Constant Field Values

    - #### TERM__DATATYPE

          static final int TERM__DATATYPE

      The feature id for the 'Datatype' attribute.
      See Also:
        Constant Field Values

    - #### TERM__TERMTYPE

          static final int TERM__TERMTYPE

      The feature id for the 'Termtype' attribute.
      See Also:
        Constant Field Values

    - #### TERM__FULLTEXT

          static final int TERM__FULLTEXT

      The feature id for the 'Fulltext' attribute.
      See Also:
        Constant Field Values

    - #### TERM__PARENT_TERM

          static final int TERM__PARENT_TERM

      The feature id for the 'Parent Term' containment reference.
      See Also:
        Constant Field Values

    - #### TERM__VARIABLE

          static final int TERM__VARIABLE

      The feature id for the 'Variable' reference.
      See Also:
        Constant Field Values

    - #### TERM_FEATURE_COUNT

          static final int TERM_FEATURE_COUNT

      The number of structural features of the 'Term' class.
      See Also:
        Constant Field Values

    - #### TERM_LIST

          static final int TERM_LIST

      The meta object id for the '`Term List`' class.
      See Also:
        `TermListImpl`, `AsgPackageImpl.getTermList()`, Constant Field Values

    - #### TERM_LIST__TERMS

          static final int TERM_LIST__TERMS

      The feature id for the 'Terms' containment reference list.
      See Also:
        Constant Field Values

    - #### TERM_LIST_FEATURE_COUNT

          static final int TERM_LIST_FEATURE_COUNT

      The number of structural features of the 'Term List' class.
      See Also:
        Constant Field Values

    - #### TOKEN

          static final int TOKEN

      The meta object id for the '`Token`' class.
      See Also:
        `TokenImpl`, `AsgPackageImpl.getToken()`, Constant Field Values

    - #### TOKEN__TEXT

          static final int TOKEN__TEXT

      The feature id for the 'Text' attribute.
      See Also:
        Constant Field Values

    - #### TOKEN__TOKENTYPE

          static final int TOKEN__TOKENTYPE

      The feature id for the 'Tokentype' attribute.
      See Also:
        Constant Field Values

    - #### TOKEN_FEATURE_COUNT

          static final int TOKEN_FEATURE_COUNT

      The number of structural features of the 'Token' class.
      See Also:
        Constant Field Values

    - #### VARIABLE

          static final int VARIABLE

      The meta object id for the '`Variable`' class.
      See Also:
        `VariableImpl`, `AsgPackageImpl.getVariable()`, Constant Field Values

    - #### VARIABLE_FEATURE_COUNT

          static final int VARIABLE_FEATURE_COUNT

      The number of structural features of the 'Variable' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getExpression

          org.eclipse.emf.ecore.EClass getExpression()

      Returns the meta object for class '`Expression`'.
      Returns:
        the meta object for class 'Expression'.
      See Also:
        `Expression`

    - #### getExpression_Text

          org.eclipse.emf.ecore.EAttribute getExpression_Text()

      Returns the meta object for the attribute '`Text`'.
      Returns:
        the meta object for the attribute 'Text'.
      See Also:
        `Expression.getText()`, `getExpression()`

    - #### getExpression_Datatype

          org.eclipse.emf.ecore.EAttribute getExpression_Datatype()

      Returns the meta object for the attribute '`Datatype`'.
      Returns:
        the meta object for the attribute 'Datatype'.
      See Also:
        `Expression.getDatatype()`, `getExpression()`

    - #### getExpression_Expressiontype

          org.eclipse.emf.ecore.EAttribute getExpression_Expressiontype()

      Returns the meta object for the attribute '`Expressiontype`'.
      Returns:
        the meta object for the attribute 'Expressiontype'.
      See Also:
        `Expression.getExpressiontype()`, `getExpression()`

    - #### getExpression_Enumeration

          org.eclipse.emf.ecore.EAttribute getExpression_Enumeration()

      Returns the meta object for the attribute '`Enumeration`'.
      Returns:
        the meta object for the attribute 'Enumeration'.
      See Also:
        `Expression.getEnumeration()`, `getExpression()`

    - #### getExpression_CellValue

          org.eclipse.emf.ecore.EAttribute getExpression_CellValue()

      Returns the meta object for the attribute '`Cell Value`'.
      Returns:
        the meta object for the attribute 'Cell Value'.
      See Also:
        `Expression.getCellValue()`, `getExpression()`

    - #### getExpression_ModifiedTermList

          org.eclipse.emf.ecore.EReference getExpression_ModifiedTermList()

      Returns the meta object for the containment reference '`Modified Term List`'.
      Returns:
        the meta object for the containment reference 'Modified Term List'.
      See Also:
        `Expression.getModifiedTermList()`, `getExpression()`

    - #### getExpression_ReferencedTermList

          org.eclipse.emf.ecore.EReference getExpression_ReferencedTermList()

      Returns the meta object for the containment reference '`Referenced Term List`'.
      Returns:
        the meta object for the containment reference 'Referenced Term List'.
      See Also:
        `Expression.getReferencedTermList()`, `getExpression()`

    - #### getExpression_TokenList

          org.eclipse.emf.ecore.EReference getExpression_TokenList()

      Returns the meta object for the containment reference list '`Token List`'.
      Returns:
        the meta object for the containment reference list 'Token List'.
      See Also:
        `Expression.getTokenList()`, `getExpression()`

    - #### getExpressionList

          org.eclipse.emf.ecore.EClass getExpressionList()

      Returns the meta object for class '`Expression List`'.
      Returns:
        the meta object for class 'Expression List'.
      See Also:
        `ExpressionList`

    - #### getExpressionList_Expression

          org.eclipse.emf.ecore.EReference getExpressionList_Expression()

      Returns the meta object for the containment reference list '`Expression`'.
      Returns:
        the meta object for the containment reference list 'Expression'.
      See Also:
        `ExpressionList.getExpression()`, `getExpressionList()`

    - #### getTerm

          org.eclipse.emf.ecore.EClass getTerm()

      Returns the meta object for class '`Term`'.
      Returns:
        the meta object for class 'Term'.
      See Also:
        `Term`

    - #### getTerm_Text

          org.eclipse.emf.ecore.EAttribute getTerm_Text()

      Returns the meta object for the attribute '`Text`'.
      Returns:
        the meta object for the attribute 'Text'.
      See Also:
        `Term.getText()`, `getTerm()`

    - #### getTerm_Datatype

          org.eclipse.emf.ecore.EAttribute getTerm_Datatype()

      Returns the meta object for the attribute '`Datatype`'.
      Returns:
        the meta object for the attribute 'Datatype'.
      See Also:
        `Term.getDatatype()`, `getTerm()`

    - #### getTerm_Termtype

          org.eclipse.emf.ecore.EAttribute getTerm_Termtype()

      Returns the meta object for the attribute '`Termtype`'.
      Returns:
        the meta object for the attribute 'Termtype'.
      See Also:
        `Term.getTermtype()`, `getTerm()`

    - #### getTerm_Fulltext

          org.eclipse.emf.ecore.EAttribute getTerm_Fulltext()

      Returns the meta object for the attribute '`Fulltext`'.
      Returns:
        the meta object for the attribute 'Fulltext'.
      See Also:
        `Term.getFulltext()`, `getTerm()`

    - #### getTerm_ParentTerm

          org.eclipse.emf.ecore.EReference getTerm_ParentTerm()

      Returns the meta object for the containment reference '`Parent Term`'.
      Returns:
        the meta object for the containment reference 'Parent Term'.
      See Also:
        `Term.getParentTerm()`, `getTerm()`

    - #### getTerm_Variable

          org.eclipse.emf.ecore.EReference getTerm_Variable()

      Returns the meta object for the reference '`Variable`'.
      Returns:
        the meta object for the reference 'Variable'.
      See Also:
        `Term.getVariable()`, `getTerm()`

    - #### getTermList

          org.eclipse.emf.ecore.EClass getTermList()

      Returns the meta object for class '`Term List`'.
      Returns:
        the meta object for class 'Term List'.
      See Also:
        `TermList`

    - #### getTermList_Terms

          org.eclipse.emf.ecore.EReference getTermList_Terms()

      Returns the meta object for the containment reference list '`Terms`'.
      Returns:
        the meta object for the containment reference list 'Terms'.
      See Also:
        `TermList.getTerms()`, `getTermList()`

    - #### getToken

          org.eclipse.emf.ecore.EClass getToken()

      Returns the meta object for class '`Token`'.
      Returns:
        the meta object for class 'Token'.
      See Also:
        `Token`

    - #### getToken_Text

          org.eclipse.emf.ecore.EAttribute getToken_Text()

      Returns the meta object for the attribute '`Text`'.
      Returns:
        the meta object for the attribute 'Text'.
      See Also:
        `Token.getText()`, `getToken()`

    - #### getToken_Tokentype

          org.eclipse.emf.ecore.EAttribute getToken_Tokentype()

      Returns the meta object for the attribute '`Tokentype`'.
      Returns:
        the meta object for the attribute 'Tokentype'.
      See Also:
        `Token.getTokentype()`, `getToken()`

    - #### getVariable

          org.eclipse.emf.ecore.EClass getVariable()

      Returns the meta object for class '`Variable`'.
      Returns:
        the meta object for class 'Variable'.
      See Also:
        `Variable`

    - #### getParserOutput

          org.eclipse.emf.ecore.EClass getParserOutput()

      Returns the meta object for class '`Parser Output`'.
      Returns:
        the meta object for class 'Parser Output'.
      See Also:
        `ParserOutput`

    - #### getAsgFactory

          AsgFactory getAsgFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.